API ReferenceProject User
Update all user assignments in permitted projects
Update all user assignments in permitted projects
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
Path Parameters
id*string
ProjectUser identifier
Query Parameters
priority[contractor]?|array<>
ProjectUser priority[contractor]
order[lastName]?string
ProjectUser order[lastName]
order[firstName]?string
ProjectUser order[firstName]
The updated ProjectUser resource
TypeScript Definitions
Use the request body type in TypeScript.
hourlyRate?number
Format
floatResponse Body
curl -X PATCH "https://example.com/project/project-users/string/assigned-project-users" \ -H "Content-Type: application/json" \ -d '{}'{ "projectUserId": "2c2e163b-12b3-474e-b402-a14ece46480b", "assignedProjectUsers": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "projectUser": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": true, "phoneNumber": "string", "jobPositionName": "string", "hourlyRate": null, "isExternal": true, "decorator": "string" }, "role": "none", "hourlyRate": null, "canReportTime": true } ]}